# Define the kmod package name here.
%define kmod_name asix

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-504.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 4.13.0
Release: 1%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.kernel.org/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
# http://www.asix.com.tw/FrootAttach/driver/AX88772C_772B_772A_760_772_178_LINUX_DRIVER_v4.13.0_Source.tar.bz2
Source0:  AX88772C_772B_772A_760_772_178_LINUX_DRIVER_v4.13.0_Source.tar.bz2
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel module(s).
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -n AX88772C_772B_772A_760_772_178_LINUX_DRIVER_v4.13.0_Source
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" %{?_smp_mflags} modules M=$PWD

%install
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=extra/%{kmod_name}
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" modules_install M=$PWD
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Fri Oct 31 2014 Philip J Perry <phil@elrepo.org> - 4.13.0-1
- Update to version 4.13.0 from ASIX

* Sat Jul 14 2012 Tru Huynh <tru@pasteur.fr> - 4.2.0-1
- version 4.2.0 from ASIX

* Thu Jun 21 2012 Philip J Perry <phil@elrepo.org> - 0.0-2
- Update to kernel-3.2.20
  [http://elrepo.org/bugs/view.php?id=277]

* Fri Jun 07 2012 Philip J Perry <phil@elrepo.org> - 0.0-1
- Initial el6 build of the kmod package backported from LTS kernel-3.0.33
